<?php

class SurveyRDFWriter 
{
	var $model;
		
	var $resourceSurvey;
	var $resourceTitle;
	var $resourceDescription;
	
    /**
    * Use SurveyRDFWriter::getInstance() instead of this
    * constructor.
    */
    public function __construct()
    {
        // Create empty MemModel
		$factory = new ModelFactory();
		$this->model = $factory->getDefaultModel();
		
		$this->initResources();
    }

	function initResources()
	{
		
		$this->resourceSurvey = new Resource(SURVEYTOOL_NAMESPACE.'Survey');
		$this->resourceTitle = new Resource(TITLE);
		$this->resourceDescription = new Resource(DESCRIPTION);
	}
	
	public function createSurvey($sTitle, $sDescription)
	{		
		$surveyTitle = new Literal($sTitle);
		$this->model->add(new Statement($this->resourceSurvey,$this->resourceTitle,$surveyTitle));		
		
		$surveyDescription = new Literal($sDescription);
		$this->model->add(new Statement($this->resourceSurvey,$this->resourceDescription,$surveyDescription));	
	}
	
	public function saveSurvey($sTitle)
	{
		$this->model->saveAs('surveys/'.$sTitle.'.rdf','rdf');
		
		return true;
	}

}

?>